Subscription preference

Notification emails are sent to your Samsung account email address.

* Email : anonymous@samsung.com

  

Close

GearWatchDesigner Mac OS runtime error

Forums View
Started by Newbie mr.moutafis , 780 Seed Jan 03, 2016 09:04 Replies : 7 View : 13523 Likes : 1
Hi all,

Does anyone know what the following error might be caused by, or how to fix it?

It occurs when I launch Gear Watch Designer on mac OS 10.10.5. I also have Java 1.8 installed.

It starts with this alert on the launch of GearWatchDesigner:




this is the log info referenced in the alert above:

!SESSION 2016-01-03 18:29:27.665 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_79
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
Framework arguments: -keyring /Users/---/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -keyring /Users/---/.eclipse_keyring -showlocation

!ENTRY wfb_view 4 0 2016-01-03 18:29:28.396
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: wfb_view [65]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY wfb_view 2 0 2016-01-03 18:29:28.618
!MESSAGE Could not resolve module: wfb_view [65]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"


!ENTRY org.eclipse.osgi 4 0 2016-01-03 18:29:28.620
!MESSAGE Application error 

the only thing i can note is that its is referencing java 1.7. Might this suggest that mac users should be using java 1.7 not 1.8 as instructed on the apps download page?
Tags

gearwatchdesigner , macOS

Post Reply
Board View
Newbie mr.moutafis , 780 Seed Jan 03, 2016 10:38 Post #1 1
It looks like I had the wrong Java 1.8 install package installed.  the one I had was showing in the system prefrences as 1.8 but in the java library it was still 1.7.  the correct package to install was jdk-8u65-macosx-x64.dmg not jre-8u66-macosx-x64.dmg
Post Reply
Board View
Newbie mr.moutafis , 780 Seed Jan 03, 2016 23:04 Post #2 0
So as I said I managed to get it to run and then spent the night working on a watch face which I finished and shut GWD down, now GWD wont open again. I recieve the following alert but the referenced .log file does not exist so I cant troubleshoot it.  Has anyone else experienced this new runtime error on mac or have any suggestions as to what could be causing this?


Post Reply
Board View
Newbie marjukavic , 210 Seed Jan 05, 2016 18:18 Post #3 0




This content has been quoted from mr.moutafis’s thought.

So as I said I managed to get it to run and then spent the night working on a watch face which I finished and shut GWD down, now GWD wont open again. I recieve the following alert but the referenced .log file does not exist so I cant troubleshoot it.  Has anyone else experienced this new runtime error on mac or have any suggestions as to what could be causing this?

==============================================================================================

I had the same problem, but installed the Java SE Development Kit 8u65 and it worked.

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

Marcelo Pereira
Brazil.


 
Post Reply
Board View
Newbie didier.feldmann , 210 Seed Jan 12, 2016 19:44 Post #4 0
Hello Marcelo Pereira,

Being a Mac User for almost 13 years (edinting and colorgrading) , I have never installed JAVA on Mac OS.. By searching on the web, it seems to me it's a little bit confusing.. Don't you have any guide lines to install JAVA and run GWD, there are so many links and versions. !!!. Thanks a lot in advance for your  help... DIdier

This content has been quoted from marjukavic’s thought.




 

This content has been quoted from mr.moutafis’s thought.

So as I said I managed to get it to run and then spent the night working on a watch face which I finished and shut GWD down, now GWD wont open again. I recieve the following alert but the referenced .log file does not exist so I cant troubleshoot it.  Has anyone else experienced this new runtime error on mac or have any suggestions as to what could be causing this?

==============================================================================================

I had the same problem, but installed the Java SE Development Kit 8u65 and it worked.

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

Marcelo Pereira
Brazil.


 

 


Post Reply
Board View
Newbie fashaw , 210 Seed Jan 04, 2017 02:44 Post #5 0
Hi Marcelo,

I'm having the same issue, I tried the link you put in but I don't see Development kit 8u65, I only see 8u111 & 8u112 available for download under SE Development kit. Is that correct link or am I looking in the wrong place? Thanks!
Post Reply
Board View
Newbie atissmits , 430 Seed Jan 07, 2017 08:49 Post #6 0
Hi, Here is the link to the Java archive to download JDK 8u65: www.oracle.com/technetwork/java/javase/downloads/java-archive-javase8-2177648.html#jdk-8u65-oth-JPR 

 

This content has been quoted from fashaw’s thought.

Hi Marcelo,

I’m having the same issue, I tried the link you put in but I don’t see Development kit 8u65, I only see 8u111 & 8u112 available for download under SE Development kit. Is that correct link or am I looking in the wrong place? Thanks!


Post Reply
Board View
Newbie atissmits , 430 Seed Jan 07, 2017 08:51 Post #7 0


This content has been quoted from marjukavic’s thought.




 

This content has been quoted from mr.moutafis’s thought.

So as I said I managed to get it to run and then spent the night working on a watch face which I finished and shut GWD down, now GWD wont open again. I recieve the following alert but the referenced .log file does not exist so I cant troubleshoot it.  Has anyone else experienced this new runtime error on mac or have any suggestions as to what could be causing this?

==============================================================================================

I had the same problem, but installed the Java SE Development Kit 8u65 and it worked.

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

Marcelo Pereira
Brazil.


 

 

Thanks, this worked for me
Post Reply